---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 281203f2-aeb2-573c-8207-5bdad109d03f
      tier: AATSR_CMP_MONTH
      value: 0.025345422327518463
    brdf:
      alpha_1:
        band_1: 0.22226954273030766
        band_11: 0.16731660867615342
        band_12: 0.05054157384592882
        band_2: 0.22226954273030766
        band_3: 0.41279972807175763
        band_4: 0.20435191647025075
        band_5: 0.20435191647025075
        band_6: 0.20435191647025075
        band_7: 0.8715154691251705
        band_8: 0.8715154691251705
        band_8a: 0.8715154691251705
      alpha_2:
        band_1: 0.22020672458909496
        band_11: 0.20540888035897847
        band_12: 0.2650099290061993
        band_2: 0.22020672458909496
        band_3: 0.1699804512241617
        band_4: 0.21809779442135582
        band_5: 0.21809779442135582
        band_6: 0.21809779442135582
        band_7: 0.057287520319707866
        band_8: 0.057287520319707866
        band_8a: 0.057287520319707866
      id:
      - 36460465-2840-5dfc-9904-80222bcf9b84
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - c3953cf0-93a0-5217-9c2e-babc16fef3be
      tier: DEFINITIVE
      value: 0.256
    water_vapour:
      id:
      - 627fe054-2033-59fb-bbad-fcd1c572af5c
      tier: DEFINITIVE
      value: 4.220000076293945
  id: 955a4926-e8cd-4dd4-ac3c-d4a1e44af183
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1907.6660512879723
      BAND-11: 232.2394817464579
      BAND-12: 79.43000567964178
      BAND-2: 1949.9245652609168
      BAND-3: 1825.8217541827503
      BAND-4: 1490.783083587102
      BAND-5: 1376.18480794747
      BAND-6: 1255.77273427336
      BAND-7: 1149.5890467189554
      BAND-8: 1018.1568588870492
      BAND-8A: 928.4787039455516
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2019-05-19 01:21:00.082447Z
    atime: 2022-08-07 19:19:39Z
    ctime: 2019-05-19 13:47:17Z
    mtime: 2019-05-19 13:47:12Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2019/2019-05/10S130E-15S135E/S2A_MSIL1C_20190519T011731_N0207_R088_T53LMF_20190519T024715.zip
  system_information:
    hostname: gadi-cpu-clx-0824.gadi.nci.org.au
    runtime_id: e1faf142-1685-11ed-b4f9-00000088fe80
    time_processed: 2022-08-07 19:19:39.600062Z
    uname: 'Linux gadi-cpu-clx-0824.gadi.nci.org.au 4.18.0-372.13.1.el8.nci.x86_64
      #1 SMP Mon Jul 4 08:46:44 AEST 2022 x86_64'
gqa:
  colors:
    blue: 0.0
    green: 0.0
    red: 28.0
    teal: 0.0
    yellow: 0.0
  error_message: no errors
  final_qa_count: 7
  granule: S2A_OPER_MSI_L1C_TL_EPAE_20190519T024715_A020391_T53LMF_N02.07
  ref_date: '2014-07-06T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/103/069/LC81030692014187LGN00_B6.TIF
  residual:
    abs:
      x: 3.55
      xy: 17.23
      y: 16.86
    abs_iterative_mean:
      x: 2.14
      xy: 17.35
      y: 17.22
    cep90: 20.02
    iterative_mean:
      x: -0.26
      xy: 17.22
      y: 17.22
    iterative_stddev:
      x: 2.52
      xy: 3.75
      y: 2.78
    mean:
      x: 0.23
      xy: 16.86
      y: 16.86
    stddev:
      x: 4.15
      xy: 6.07
      y: 4.44
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 50.37380101592232
    cloud: 25.0855305722277
    cloud_shadow: 4.09488687827844
    snow: 20.441909615429278
    water: 0.003871918142275573
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 5.1971990802950225
    cloud: 94.80280091970498
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.4
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
